Subject: Re: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Jun 2014 18:12:53 +0300

> Date: Sat, 28 Jun 2014 14:55:09 +0000
> From: Alan Mackenzie <[email-masked]>
> Cc: [email-masked]
> 
> This particular scan-lists which took 0.7s had to traverse 65 comments,
> of which 29 had an odd number of apostrophes.  Scanning xdisp.c from BOB
> to syms_of_xdisp on my machine takes 0.024s.  28 * 0.024s = 0.67s.  So if
> there were simple cacheing in syntax.c, such that the scan from BOB was
> done at most once for each scan-lists, the sluggishness would largely
> vanish in this case.

Sorry for asking the obvious: why cannot the code know that an
apostrophe inside a comment is just a simple character of no special
significance?  Why does it need to treat apostrophes _inside_comments_
specially?